# Class PrivateNotificationPayload

#### Hierarchy

- unknown
  - PrivateNotificationPayload

- Defined in src/protobuf/pb_pb.d.ts:2241
- Defined in src/protobuf/pb_pb.d.ts:2261

#####
Index

### Constructors

constructor

### Methods

getMessage
getSigPublicKeyBytes
getSigPublicKeyBytes_asB64
getSigPublicKeyBytes_asU8
getSignatureAsBase64
serializeBinary
setMessage
setSigPublicKeyBytes
setSignatureAsBase64
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PrivateNotificationPayload(): PrivateNotificationPayload

- #### Returns PrivateNotificationPayload

  Inherited from jspb.Message.constructor

## Methods

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2242

### getSigPublicKeyBytes

- getSigPublicKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2248

### getSigPublicKeyBytes_asB64

- getSigPublicKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2250

### getSigPublicKeyBytes_asU8

- getSigPublicKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2249

### getSignatureAsBase64

- getSignatureAsBase64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2245

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2253

### setMessage

- setMessage(value: string): PrivateNotificationPayload

- #### Parameters

  - ##### value: string

  #### Returns PrivateNotificationPayload

  - Defined in src/protobuf/pb_pb.d.ts:2243

### setSigPublicKeyBytes

- setSigPublicKeyBytes(value: string | Uint8Array): PrivateNotificationPayload

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PrivateNotificationPayload

  - Defined in src/protobuf/pb_pb.d.ts:2251

### setSignatureAsBase64

- setSignatureAsBase64(value: string): PrivateNotificationPayload

- #### Parameters

  - ##### value: string

  #### Returns PrivateNotificationPayload

  - Defined in src/protobuf/pb_pb.d.ts:2246

### toObject

- toObject(includeInstance?: boolean): PrivateNotificationPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PrivateNotificationPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2254

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PrivateNotificationPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PrivateNotificationPayload

  - Defined in src/protobuf/pb_pb.d.ts:2257

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PrivateNotificationPayload, reader: BinaryReader): PrivateNotificationPayload

- #### Parameters

  - ##### message: PrivateNotificationPayload

  - ##### reader: BinaryReader

  #### Returns PrivateNotificationPayload

  - Defined in src/protobuf/pb_pb.d.ts:2258

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PrivateNotificationPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PrivateNotificationPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2256

### `Static` toObject

- toObject(includeInstance: boolean, msg: PrivateNotificationPayload): PrivateNotificationPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PrivateNotificationPayload

  #### Returns PrivateNotificationPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2255

Generated using TypeDoc